
// lm_MBslaveDlg.h : header file
//
#include <modbus.h>

#pragma once


// Clm_MBslaveDlg dialog
class Clm_MBslaveDlg : public CDialog
{
// Construction
public:
	Clm_MBslaveDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_L_C_TCPSLAVE_DIALOG };

	int		m_com;
	int		m_databit;
	int		m_parity;
	int		m_baud;
	int		m_stopbit;
	
	modbus_t *ctx;
	modbus_mapping_t *mb_mapping;
	BOOL m_check;
	BOOL m_check2;
	BOOL m_which;

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedMbtcpradio();
	afx_msg void OnBnClickedMbrturadio();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
};
